AM263Px MCU+ SDK: sdl_common.h File Reference

| AM263Px MCU+ SDK 26.00.00 |

Enumerations | Functions
sdl_common.h File Reference

## Introduction

Header file contains enumerations, structure definitions and function declarations for SDL COMMON interface.

The SDL common enumerations include:

1. SDL API function return result value
2. SDL error code asserted

The SDL common APIs include:

1. Application provided external assert function
2. Application provided get timestamp function

Software Diagnostics Library common module which defines common data

Copyright (c) Texas Instruments Incorporated 2022

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Go to the source code of this file.

## Enumerations
enum | SDL_assertErrorNumber { SDL_ESM_INT_SRC_OUT_OF_BOUNDS =1, SDL_ECC_INTERRUPT_WITH_NOEVENT =2, SDL_ECC_RAM_ID_NOT_FOUND =3, SDL_CCM_READ_REG_FAILURE =4, SDL_CCM_INTERRUPT_WITHOUT_ANY_ERROR =5, SDL_CCM_CONFIG_REG_FAILURE =6, SDL_CCM_INVALID_INTERRUPT_SOURCE =7 }
| Defines the different Assert error codes. More...

## Functions
void | SDL_assertExternalFunction (SDL_assertErrorNumber errorNumber)
| Application provided external assert function Called inside the reference functions when unexpected conditions are encountered. NOTE: This is application supplied and not part of the SDL If not supplied by application this will result in an linker error NOTE: This function is not expected to return as the unexpected condition encountered will cause indeterminate behaviour if it returns. Application will need to add code here which will bring the system to a safe state as required by the application. But the function should not return. More...
uint32_t | SDL_getTime (void)
| Application provided timestamp function This function will be called inside the reference function to get timestamp. NOTE: This is application supplied and not part of the SDL If not supplied by application this will result in an linker error. More...

## Enumeration Type Documentation

## ◆ SDL_assertErrorNumber

enum SDL_assertErrorNumber

Defines the different Assert error codes.

Software Diagnostics Library

Software Diagnostics Library(SDL) provides software interface for Diagnostic functions to be used for application.

Also refer to top level user guide for detailed features, limitations and usage description.

Enumerator
SDL_ESM_INT_SRC_OUT_OF_BOUNDS | Assert when ESM Interrupt source out of bounds
SDL_ECC_INTERRUPT_WITH_NOEVENT | Assert when ECC interrupt triggered with no event
SDL_ECC_RAM_ID_NOT_FOUND | Assert when ECC Ram Id not found
SDL_CCM_READ_REG_FAILURE | Assert CCM Read Register failure
SDL_CCM_INTERRUPT_WITHOUT_ANY_ERROR | Assert CCM interupt received wihtout any error
SDL_CCM_CONFIG_REG_FAILURE | Assert CCM Config Register failure
SDL_CCM_INVALID_INTERRUPT_SOURCE | Assert CCM Invalid interrupt source

## Function Documentation

## ◆ SDL_assertExternalFunction()

void SDL_assertExternalFunction | ( | SDL_assertErrorNumber | errorNumber | ) |

Application provided external assert function Called inside the reference functions when unexpected conditions are encountered. NOTE: This is application supplied and not part of the SDL If not supplied by application this will result in an linker error NOTE: This function is not expected to return as the unexpected condition encountered will cause indeterminate behaviour if it returns. Application will need to add code here which will bring the system to a safe state as required by the application. But the function should not return.

============================================================================

Parameters

  errorNumber | Error number for the assert

## ◆ SDL_getTime()

uint32_t SDL_getTime | ( | void |  | ) |

Application provided timestamp function This function will be called inside the reference function to get timestamp. NOTE: This is application supplied and not part of the SDL If not supplied by application this will result in an linker error.

============================================================================

Returns
  Timestamp value